# Financial Consensus

`GET` `/v1/quote/financial-consensus-detail`

Get financial consensus estimates including revenue, EPS, and net income forecasts.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/financial-consensus-detail?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | List of consensus forecast periods |
| `└ fiscal_year` | integer | No | Fiscal year |
| `└ fiscal_period` | string | No | Fiscal period number within the fiscal year |
| `└ period_text` | string | No | Display period label (e.g. Q1 2027) |
| `└ details` | object[] | No | List of financial indicator details |
| `└ ∟ key` | string | No | Indicator key (e.g. `eps`, `revenue`) |
| `└ ∟ name` | string | No | Security name. |
| `└ ∟ description` | string | No | Full description |
| `└ ∟ estimate` | string | No | Consensus estimate |
| `└ ∟ is_released` | boolean | No | Whether actual has been released |
| `└ ∟ actual` | string | No | Actual reported value |
| `└ ∟ comp_value` | string | No | Comparison percentage value |
| `└ ∟ comp_desc` | string | No | Comparison description |
| `└ ∟ comp` | string | No | Comparison result (e.g. `beat`, `miss`) |
| `current_index` | integer | No | Index of the current period in opt_periods |
| `currency` | string | No | Reporting currency |
| `opt_periods` | array | No | Available period options |
| `current_period` | string | No | Current period code (e.g. `qf`) |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "currency": "USD",
    "current_index": 3,
    "current_period": "qf",
    "opt_periods": [
      "qf",
      "af",
      "saf"
    ],
    "list": [
      {
        "fiscal_year": 2026,
        "fiscal_period": "Q2 FY2026",
        "period_text": "Q2 FY2026",
        "details": [
          {
            "key": "revenue",
            "name": "Revenue",
            "estimate": "95000000000",
            "actual": "",
            "comp": "",
            "comp_value": null,
            "comp_desc": "",
            "description": "",
            "is_released": false
          }
        ]
      }
    ]
  }
}
```
